Subject: Re: [PATCH][v2] Add support for RTC device: pt7c4338 in rtc-ds1307.c

From: Timur Tabi <[email-masked]>
Date: Wed, 15 Jun 2011 10:05:28 -0500

Priyanka Jain wrote:
>  config RTC_DRV_DS1307
> -	tristate "Dallas/Maxim DS1307/37/38/39/40, ST M41T00, EPSON RX-8025"
> +	tristate "Dallas/Maxim DS1307/37/38/39/40, ST M41T00, EPSON RX-8025, PT7C4338"
>  	help
>  	  If you say yes here you get support for various compatible RTC
>  	  chips (often with battery backup) connected with I2C. This driver
>  	  should handle DS1307, DS1337, DS1338, DS1339, DS1340, ST M41T00,
> -	  EPSON RX-8025 and probably other chips. In some cases the RTC
> -	  must already have been initialized (by manufacturing or a
> +	  EPSON RX-8025, PT7C4338 and probably other chips. In some cases 
> +	  the RTC  must already have been initialized (by manufacturing or a
>  	  bootloader).

I think you should probably drop the Kconfig change, too.  It already says, "and
probably other chips", and you're also just bloating the summary line.  We can't
list every possible Dallas-compatible RTC chip here.

-- 
Timur Tabi
Linux kernel developer at Freescale